
Redmine - Defect #33082

Links in the last column in gantt are unclickable

2020-03-03 08:24 - Jaebok Oh

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

The link does not work.

Related issues:

Related to Redmine - Feature #27672: Show selected columns in gantt chart Closed

Associated revisions

Revision 19555 - 2020-03-04 08:25 - Go MAEDA

Links in the last column in gantt are unclickable (#33082).

Patch by Mizuki ISHIKAWA.

Revision 19556 - 2020-03-04 08:30 - Go MAEDA

Merged r19555 from trunk to 4.1-stable (#33082).

History

#1 - 2020-03-03 08:28 - Jaebok Oh

- File ganttchart.png added

 ganttchart.png 

#2 - 2020-03-03 08:30 - Jaebok Oh

The link does not seem to work only if it is an entry in the last field.

#3 - 2020-03-03 09:09 - Go MAEDA

- Subject changed from Attachments are not downloaded. to Cannot download attached files in gantt when "Files" column is the last column

- Status changed from New to Confirmed

#4 - 2020-03-03 09:13 - Go MAEDA

- Related to Feature #27672: Show selected columns in gantt chart added

#5 - 2020-03-03 09:48 - Mizuki ISHIKAWA

The links are displayed behind other elements due to the z-index style.

I think that it can be fixed by rewriting as follows.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index b3b4d9b42..131da3213 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -1319,9 +1319,9 @@ table.gantt-table td {

 }

 .gantt_subjects_container:not(.draw_selected_columns) .gantt_hdr,

 .last_gantt_selected_column .gantt_hdr {

-  z-index: 10;

   border-right: 1px solid #c0c0c0;

 }

+.last_gantt_selected_column .gantt_selected_column_container,

 .gantt_subjects_container .gantt_subjects * {

   z-index: 10;
 }

#6 - 2020-03-03 11:18 - Go MAEDA

- Subject changed from Cannot download attached files in gantt when "Files" column is the last column to Links in the last column in gantt are

unclickable

- Target version set to 4.1.1

Setting the target version to 4.1.1.

#7 - 2020-03-04 08:25 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#8 - 2020-03-04 08:30 - Go MAEDA

- Status changed from Resolved to Closed

Files

ganttchart.png 49.2 KB 2020-03-03 Jaebok Oh
